IcedTea-Web Plugin

## sun.applet
Class PluginStreamHandler

    java.lang.Object
      sun.applet.PluginStreamHandler

    public class PluginStreamHandler

extends java.lang.Object

Constructor Summary
`PluginStreamHandler(java.io.InputStream inputstream, java.io.OutputStream outputstream)`

Method Summary
`void` `handleMessage(java.lang.String message)`
`void` `postCallRequest(PluginCallRequest request)`
`void` `startProcessing()`
`void` `write(java.lang.String message)` Write string to plugin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginStreamHandler

    public PluginStreamHandler(java.io.InputStream inputstream,
                               java.io.OutputStream outputstream)

Method Detail

### startProcessing

    public void startProcessing()

### handleMessage

    public void handleMessage(java.lang.String message)
                       throws PluginException

  Throws:
    `PluginException`

### postCallRequest

    public void postCallRequest(PluginCallRequest request)

### write

    public void write(java.lang.String message)

  Write string to plugin.

  Parameters:
    `message` - the message to write
  Throws:
    `java.io.IOException` - if an error occurs

IcedTea-Web Plugin

Submit a bug or feature